Skip to content
PYGWALKER
Installation

Installation

Configuration requise :

  • Python 3.0 ou supérieur
  • Prise en charge de macOS, Windows et Linux.

Installation avec Pip

pip install pygwalker

pygwalker/graphic-walker met à jour de nouvelles fonctionnalités fréquemment, vous pouvez donc installer la dernière version avec la commande suivante: pip install pygwalker --upgrade

Installation depuis conda-forge

conda install -c conda-forge pygwalker

ou

mamba install -c conda-forge pygwalker

Voir conda-forge feedstock (opens in a new tab) pour plus d'aide.

Développement local

git clone git@github.com:Kanaries/pygwalker.git
 
cd pygwalker
 

Build de l'application web :

# pygwalker/app
cd app
 
yarn install
 
yarn build

Installation des dépendances :

# pygwalker
 
pip install -e .

Exécution des exemples

Vous pouvez créer un fichier .ipynb dans le répertoire racine du projet pygwalker, et importer directement pygwalker pour les tests.

# pygwalker
 
jupyter-lab .

Vous avez encore des questions ? N'hésitez pas à poser une question dans notre github (opens in a new tab) ou discutez dans le canal discord (opens in a new tab).